package com.hzs.system.config.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.system.config.BdWithdrawal;
import com.hzs.common.domain.system.config.ext.BdWithdrawalAutoExt;
import com.hzs.common.domain.system.config.ext.BdWithdrawalExt;

import java.util.List;

/**
 * 提现设置主表 服务类
 */
public interface IBdWithdrawalService extends IService<BdWithdrawal> {


    /**
     * 根据国家查询提现配置明细列表
     **/
    BdWithdrawal queryWithdrawal(Integer pkCountry, Integer pkAccount);

    /**
     * 新增提现
     **/
    boolean saveWithdrawal(BdWithdrawalExt withdrawalExt);

    /**
     * 修改提现
     **/
    boolean updateWithdrawal(BdWithdrawalExt withdrawalExt);

    /**
     * 查询自动提现明细
     **/
    List<BdWithdrawalAutoExt> getWithdrawalAutoList(BdWithdrawalAutoExt withdrawalAutoExt);

    /**
     * 查询配置自动提现的配置
     **/
    List<BdWithdrawal> queryWithdrawalByIsAuto();

    /**
     * 查询会员提价表是否有数据
     **/
    Integer checkWithdraw(BdWithdrawalAutoExt withdrawalAutoExt);

    /**
     * 查询提现配置列表
     **/
    List<BdWithdrawalExt> listExt(BdWithdrawalExt withdrawalExt);

}
